#ifndef __NET_OP_H
#define __NET_OP_H

#define NAME_SIZE   8
#define MAC_SIZE	18
#define IP_SIZE		16
#define MASK_SIZE	24
#define GATEWAY_SIZE 24
 
typedef struct _NET_WORK_ATTR
{
	char name[NAME_SIZE];
	char ip[IP_SIZE];
	char mac[MAC_SIZE];
	char netmask_addr[MASK_SIZE];
	char gateway[GATEWAY_SIZE];
	
}NET_WORK_ATTR;

int get_net(NET_WORK_ATTR *net_attr);

// 获取本机mac
int GetLocalMac(const char *eth_inf, char *mac);

// 获取本机ip
int GetLocalIp(const char *eth_inf, char *ip);
//获取本机mask
int GetLocalNetMask(const char *eth_inf,char* netmask_addr);
//获取本机gateway
int GetLocalGateWay(char* gateway);

#endif